
Redmine - Feature #6486

Log time for other users

2010-09-25 09:38 - Jack T

Status: Closed Start date: 2010-09-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Requesting the ability for administrators and assistants to log time spent on a project for other users.

One possible implementation is adding an "logged to" drop down menu that lists the members of the project. This could be

configured so that only certain users have this ability.

Related issues:

Is duplicate of Redmine - Feature #7239: Allow some users to add / edit time ... Closed 2011-01-06

Is duplicate of Redmine - Feature #3848: Permission to log time for another user Closed 2009-09-11

History

#1 - 2011-03-21 08:46 - Jack T

Created and uploaded patch to #3848. A nice future improvement would be the ability to log time in batches for multiple users.

#2 - 2013-02-03 16:26 - Thomas Robbs

+1

Would like to see this integrated into the application.  There are many times when the project leader needs time from someone that forgot to enter it. 

It doesn't make sense to block the availability of valid information on the project just because the project leader can't enter the time on the user's

behalf, e.g. the user goes away on vacation, the user is sick, the user is [insert another scenario where the user is unavailable to enter their time

themselves].

Agreed that this should require a specific permission, e.g. there is a "Log spent time" and a "Edit own time logs" permission.  How about "Log other's

spent time"?

The "Log Time" screen can be updated to include a drop down for "Member" (similar to what is included in the Patch (#3848), which defaults to the

current user and can not be changed unless you have the above permission.

#3 - 2013-02-04 01:29 - Toshi MARUYAMA

- Category set to Time tracking

#4 - 2013-04-03 17:36 - Filou Centrinov

Related to #9276. (Duplicate?)

Duplicate: #7239

#5 - 2013-04-06 11:33 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Filou Centrinov wrote:

Related to #9276. (Duplicate?)

Duplicate: #7239

 Thank you for your pointing.

#6 - 2018-05-05 23:32 - Marius BĂLTEANU

- Related to deleted (Feature #3848: Permission to log time for another user)
#7 - 2018-05-05 23:32 - Marius BĂLTEANU

- Is duplicate of Feature #3848: Permission to log time for another user added

#8 - 2018-05-05 23:32 - Marius BĂLTEANU

I've added a new patch which adds this feature to #3848. I'm closing this ticket as duplicate because I don't find any different request here.

#9 - 2020-01-12 22:51 - Marius BĂLTEANU

- Related to Defect #32774: Creating time tracking entry for other user through rest API fails with 403 added

#10 - 2020-01-12 22:52 - Marius BĂLTEANU

- Related to deleted (Defect #32774: Creating time tracking entry for other user through rest API fails with 403)
